﻿
Partial Class Confirm
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim OrderNum As String

        OrderNum = CType(Session("OrderNum"), String)  'Will convert Nothing to empty string.
        If OrderNum = "" Then   'No order number, so makes no sense to be on this page.
            Response.Redirect("Cart.aspx")
        End If

        'Here we would probably send an email to the customer confirming the order.
        'We keep the example shorter by skipping that and just show the confirmation page.
        OrderNumLabel.Text = OrderNum
        Session.Abandon() 'Clear out all session information now that we are done with it
    End Sub
End Class
